C--------------------------------------------------------------------
C The user of the OPEN-ADAS system and data (hereinafter "the User")
C accepts the following terms and conditions: 
C 
C   1. The University of Strathclyde uses all reasonable endeavours
C      to ensure the accuracy of the data provided and any
C      information given, but the University makes no warranty,
C      expressed or implied as to its accuracy, integrity, fitness
C      for purpose and shall not be responsible for the use to
C      which the data is put by the User and/or any consequences
C      arising out of any inaccuracies or omissions.
C 
C   2. Any downloaded OPEN-ADAS file is made available here for the
C      personal use of the User only.  It must not be used for any
C      commercial application, incorporated into any web site or in
C      any form re-distributed without express prior written
C      permission from the ADAS Project. In particular, but not by
C      way of limitation, it must not be:
C 
C        * inserted into a managed database structure
C        * redistributed along with a modelling or analysis code
C        * made available on a public website.
C 
C Permission for OPEN-ADAS data incorporation in non-commercial
C code/system development for scientific advance will not be
C unreasonably withheld, but will be subject to written agreement
C on a case by case basis.
C 
C The User will indemnify the University of Strathclyde and keep
C it fully and effectively indemnified against each and every
C claim made against the University as a result of the User's
C use of the data.  
C--------------------------------------------------------------------
CX - UNIX PORT - SCCS Info: Module @(#)$Header: /work/dummy/xxdata_09/xxflsh.for,v 1.1 2004/07/06 15:36:06 whitefor Exp $ Date $Date: 2004/07/06 15:36:06 $
CX
      SUBROUTINE XXFLSH(PIPEOU)
      IMPLICIT NONE
C-----------------------------------------------------------------------
C
C  ****************** FORTRAN77 SUBROUTINE: XXFLSH *********************
C
C  PURPOSE: ROUTINE FOR SETTING CALL TO "FLUSH" COMMAND DEPENDING ON
C	    OPERATING SYSTEM SPCIFICS.
C
C  CALLING PROGRAM: ANY ADAS PROGRAM WHICH COMMUNICATES VIA A PIPE 
C		    PARTICULARLY TO IDL INTERFACE ROUTINES.
C
C
C  SUBROUTINE:
C
C          (I*4)  PIPEOU  = UNIT NUMBER OF PIPE USED 
C
C NOTE:
C
C
C ROUTINES:
C          ROUTINE    SOURCE    BRIEF DESCRIPTION
C          ------------------------------------------------------------
C
C
C AUTHOR:  L. JALOTA (TESSELLA SUPPORT SERVICES PLC)
C
C DATE:     6/03/95
C
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
      INTEGER    PIPEOU
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
C MAKE CALL TO FLUSH COMMAND
C-----------------------------------------------------------------------
      CALL FLUSH(PIPEOU)
C
C-----------------------------------------------------------------------
C
      RETURN
      END
